Update a contact
curl --request POST \
--url https://dev-api.amplify.xyz/v1/contacts/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "QrJ3MauNG0w7iFkMIodrMg==",
"type": "individual",
"is_organization": false,
"first_name": "Primary one",
"middle_name": "Primary two",
"last_name": "Contact",
"suffix": "Jr",
"direct_message": "",
"address": "Address One",
"address_line_2": "Address two",
"city": "Test city",
"state": "CA",
"zip": "898989",
"country": "US",
"organization_name": "sdfdsfds",
"position": "",
"notes": "",
"is_favorite": false,
"is_blocked": false,
"is_accesible_to_others": false,
"fields": [
{
"id": 357,
"value": "1 (205) 369-8533"
}
],
"groups": [
"249"
],
"previous_last_name": "test",
"dob": "2026-03-19",
"gender": "male",
"preferred_language": "spanish",
"interpreter_needed": false,
"races": "Black or African American",
"ethnicity": "hispanic_or_latino",
"medical_record_number": "dfsfsfdsf",
"patient_status": "active",
"external_patient_id": "",
"pcp_internal_contact": "",
"pcp_external_name": "",
"emergency_contact_name": "dsffsf",
"emergency_contact_relationship": "spouse",
"emergency_contact_phone": "",
"preferred_contact_methods": "Email",
"sms_opt_in": false,
"email_opt_in": false,
"do_not_contact": false,
"coverage_type": "tertiary",
"insurance_provider": "",
"plan_name": "",
"member_id": "",
"group_number": "",
"payer_phone": "",
"subscriber_name": "",
"subscriber_dob": "",
"subscriber_relationship": ""
}
'import requests
url = "https://dev-api.amplify.xyz/v1/contacts/update"
payload = {
"id": "QrJ3MauNG0w7iFkMIodrMg==",
"type": "individual",
"is_organization": False,
"first_name": "Primary one",
"middle_name": "Primary two",
"last_name": "Contact",
"suffix": "Jr",
"direct_message": "",
"address": "Address One",
"address_line_2": "Address two",
"city": "Test city",
"state": "CA",
"zip": "898989",
"country": "US",
"organization_name": "sdfdsfds",
"position": "",
"notes": "",
"is_favorite": False,
"is_blocked": False,
"is_accesible_to_others": False,
"fields": [
{
"id": 357,
"value": "1 (205) 369-8533"
}
],
"groups": ["249"],
"previous_last_name": "test",
"dob": "2026-03-19",
"gender": "male",
"preferred_language": "spanish",
"interpreter_needed": False,
"races": "Black or African American",
"ethnicity": "hispanic_or_latino",
"medical_record_number": "dfsfsfdsf",
"patient_status": "active",
"external_patient_id": "",
"pcp_internal_contact": "",
"pcp_external_name": "",
"emergency_contact_name": "dsffsf",
"emergency_contact_relationship": "spouse",
"emergency_contact_phone": "",
"preferred_contact_methods": "Email",
"sms_opt_in": False,
"email_opt_in": False,
"do_not_contact": False,
"coverage_type": "tertiary",
"insurance_provider": "",
"plan_name": "",
"member_id": "",
"group_number": "",
"payer_phone": "",
"subscriber_name": "",
"subscriber_dob": "",
"subscriber_relationship": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'QrJ3MauNG0w7iFkMIodrMg==',
type: 'individual',
is_organization: false,
first_name: 'Primary one',
middle_name: 'Primary two',
last_name: 'Contact',
suffix: 'Jr',
direct_message: '',
address: 'Address One',
address_line_2: 'Address two',
city: 'Test city',
state: 'CA',
zip: '898989',
country: 'US',
organization_name: 'sdfdsfds',
position: '',
notes: '',
is_favorite: false,
is_blocked: false,
is_accesible_to_others: false,
fields: [{id: 357, value: '1 (205) 369-8533'}],
groups: ['249'],
previous_last_name: 'test',
dob: '2026-03-19',
gender: 'male',
preferred_language: 'spanish',
interpreter_needed: false,
races: 'Black or African American',
ethnicity: 'hispanic_or_latino',
medical_record_number: 'dfsfsfdsf',
patient_status: 'active',
external_patient_id: '',
pcp_internal_contact: '',
pcp_external_name: '',
emergency_contact_name: 'dsffsf',
emergency_contact_relationship: 'spouse',
emergency_contact_phone: '',
preferred_contact_methods: 'Email',
sms_opt_in: false,
email_opt_in: false,
do_not_contact: false,
coverage_type: 'tertiary',
insurance_provider: '',
plan_name: '',
member_id: '',
group_number: '',
payer_phone: '',
subscriber_name: '',
subscriber_dob: '',
subscriber_relationship: ''
})
};
fetch('https://dev-api.amplify.xyz/v1/contacts/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"message": "Contact has been updated successfully."
}{
"data": "<string>"
}Contacts
Update a contact
Customer API v1 endpoint.
POST
/
v1
/
contacts
/
update
Update a contact
Update a contact. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
